/*
Rectágulo centrado en el canvas y del 60% de su tamaño, con un círculo
centrado en el rectágulo cuyo diámetro es la altura del rectágulo
*/

//variables para el rectángulo
int xR, yR, w, h;

//variables para el círculo
float xC, yC, r;
float alfa, incremento;

void setup(){
  size(800, 400);
  
  //para el rectángulo
  w = int(width*0.6);
  h = int(height*0.6);
  
  xR = (width - w)/2;
  yR = (height - h)/2;
  
  //para el círculo
  xC = width/2;
  yC = height/2;
  r = h/2;
  alfa = 0.0;
  incremento = 3.5;
  
  
}


void draw(){
  background(255);
  smooth(); //para dibujar bordes suaves
  
  fill(150);
  rect(xR, yR, w, h);
  
  fill(250, 146, 61, alfa);
  ellipse(xC, yC, 2*r, 2*r);
  
  alfa+=incremento;
  
  if (alfa >=255 || alfa <= 0){
    incremento = -incremento;
  }
  
  
  
  
}
